<html>
<head>
<title>Urlaubsgeldberechnung</title>
</head>
<body>
<h1>Berechnung des Urlaubsgeldes</h1>
<h2>Aufgrund der eingegebenen Daten beträgt das Urlaubsgeld:</h2>
<%
      String eingabeGehalt;
      String eingabeKinderzahl;
	  String eingabeFamilienstand;
      double gehalt;
      int kinderzahl;
	  double urlaubsgeld;
	  double familienstandfaktor;
	  double kinderzuschlag;
	  
	  
	  eingabeGehalt = request.getParameter("tfGehalt");
      eingabeKinderzahl = request.getParameter("tfKinderzahl");
	  eingabeFamilienstand = request.getParameter("rbFamilienstand");
      
	  gehalt = Double.parseDouble(eingabeGehalt);
      kinderzahl= Integer.parseInt(eingabeKinderzahl);
      
	  if (eingabeFamilienstand.equals("ledig"))
	  {
		familienstandfaktor = 30;
	  }
	  else
	  {
		familienstandfaktor = 60;
	  }
	  
	  if (kinderzahl > 3)
	  {
		kinderzuschlag = 300;
	  }
	  else
	  {
		kinderzuschlag = 200;
	  }
	  urlaubsgeld = gehalt * familienstandfaktor /100 + kinderzahl * kinderzuschlag;
      out.println("<h2>" + urlaubsgeld + "</h2>");
	  out.println("<br><br>");
%>
<a href="urlaubsgeld.html">zurück zur Dateneingabe</a>
</body>
</html>
